Page MenuHomePhabricator

<includeonly> is broken inside <ref> tags
Closed, DuplicatePublic

Description

Author: snottygobble

Description:
<includeonly> does not work within <ref> tags.

Create a page with content
<ref>A<includeonly>B</includeonly></ref><references/>
Then transclude it into another page. One would expect the transcluded page to contain the "B", but it does not.

I'm ranking this normal rather than minor because the problem is blocking effective footnote overflow handling at the English Wikisource.


Version: unspecified
Severity: normal

Details

Reference
bz19168

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:41 PM
bzimport added a project: Cite.
bzimport set Reference to bz19168.
bzimport added a subscriber: Unknown Object (MLST).

Likely the same issue as bug 2257.

demon added a comment.Aug 9 2009, 1:32 AM
  • Bug 20122 has been marked as a duplicate of this bug. ***

The cite extension should pass the current frame back to recursiveTagParse to make <ref> work correctly in templates.

Until this is fixed, you could always use the {{#tag}}-parser function. Try:

{{#tag:ref|A<includeonly>B</includeonly>}} <references />

  • Bug 37900 has been marked as a duplicate of this bug. ***
Izno added a subscriber: Izno.Aug 22 2016, 5:03 PM

Closed as a duplicate of the other task because the other includes other tags also ignored.